#ifndef __TEST_MCTS_TWO_PLAYERS_HPP__
#define __TEST_MCTS_TWO_PLAYERS_HPP__

#include "openings.hpp"

namespace mcts
{
  class test_mcts_two_players
  {
    openings openings_;

    void play();
    void self_play();
    void self_play(int n, bool with_openings = false);
    void self_play_learn_openings(int n);
    void test_openings(int nb_learning, int nb_testing); 
    
    template <typename Game>
    int select_move(Game& game);
  public:
    test_mcts_two_players();    
  };
}

#endif
